static char hversion[] =
"hcal version 1.0 - postscript hebrew calendar generator\n\n\
copyright 1994,1995 - Steven Weintraub";

/*
 
    hcal version 1.0 - postscript hebrew calendar generator
    copyright 1994,1995 - Steven Weintraub
 
    This program is created and distribed by Steven Weintraub. It
    can be freely distributed without permission as long as this
    head is retained in all files it appears and the LICENCE file
    accompanies it.
 
*/
#ifdef PROTOTYPES
#include "curses.h"

extern void		catch_int		(int);
extern cur_alist_t *	cur_alist_add		(cur_alist_t *,int,void *);
extern int         	cur_alist_ask		(char *,cur_alist_t *,int,
						char *,int a(int,int,void *),
						char *p(int,void *,char *));
extern void         	cur_alist_free		(cur_alist_t *);
extern unsigned long	cur_ask_hex_lud		(char *,char *,unsigned long,
						unsigned long,unsigned long);
extern int		cur_ask_num_lud		(char *, char *, int, int, int);
extern int		cur_ask_y_n		(char *, char *);
extern int		cur_casecmp		(char *,char *);
extern char		*cur_mdata_file		(void);
extern int		cur_menu_ask		(char *,cur_mlist_t *,int v(cur_mlist_t *));
extern int *		cur_menu_list		(cur_slist_t *);
extern cur_mlist_t *	cur_menu_parse		(char *);
extern int		cur_menu_read		(FILE *,cur_mlist_t *);
extern void		cur_menu_reset		(cur_mlist_t *);
extern void		cur_menu_write		(FILE *,cur_mlist_t *);
extern char *		cur_mk_str		(char *);
extern cur_mlist_t *	cur_mlist_add		(cur_mlist_t *,cur_mlist_t *);
extern cur_mlist_t *	cur_mlist_copy		(cur_mlist_t *);
extern void		cur_mlist_free		(cur_mlist_t *);
extern cur_mlist_t *	cur_mlist_parse		(char *);
extern void         	cur_mlist_set 		(cur_mlist_t *,char *,int);
extern int              cur_mlist_verify_all    (cur_mlist_t *,int c(cur_mlist_t *));
extern int              cur_mlist_verify_item   (cur_mlist_t *);

extern WINDOW *		cur_msg_box		(char *);
extern void		cur_msg_win		(char *);
extern void		cur_rm_window		(WINDOW *);
extern cur_slist_t *	cur_slist_add		(cur_slist_t *,char *);
extern cur_slist_t *	cur_slist_ask		(cur_slist_t *,int,int *,
						char **,int *,int);
extern cur_slist_t *	cur_slist_copy		(cur_slist_t *);
extern cur_slist_t *	cur_slist_fancy		(char *,cur_slist_t *,int,int *);
extern void		cur_slist_free		(cur_slist_t *);
extern void		cur_start		(int,char **);
extern void		cur_stop		(void);
extern char *		cur_str			(char *, char *);
extern char *		cur_strd		(char *, char *, char *);
extern int		cur_talk_ch		(int, char);
extern int		cur_talk_ch_bot		(char);
extern int		cur_talk_ch_top		(char);
extern void		cur_talk_end		(void);
extern int		cur_talk_str		(int, char*);
extern int		cur_talk_str_bot	(char*);
extern int		cur_talk_str_top	(char*);
extern int		cur_talk_win		(int,int,int,int,char *,char *,char *);
extern void		cur_text_dsp		(char **);
extern int		cur_mverify		(cur_mlist_t *);
extern int		cur_verify		(cur_mlist_t *);

#ifdef XCURSES
extern cur_wlist_t	*cur_alist_front	(char *,int,int,int);
extern void		cur_alist_back		(cur_wlist_t *);
extern void	 	cur_bump_slider		(cur_wlist_t *,int);
extern void	 	cur_draw_hslider	(cur_wlist_t *);
extern void	 	cur_draw_vslider	(cur_wlist_t *);
extern void		cur_error		(char *);
extern unsigned long	cur_get_color		(char *,char *,char *,char *,
						unsigned long);
extern int		cur_menu_ask_true	(char *,cur_mlist_t *,
						int v(cur_mlist_t *),int);
extern cur_wlist_t * 	cur_mk_button		(cur_wlist_t *,char *,int,int,
						int,int,unsigned long,
						int r(unsigned long),
						void *,void *,void *,char *);
extern cur_wlist_t * 	cur_mk_holder		(char *,char *,int,int,int,int,
						int,int,int);
extern cur_wlist_t * 	cur_mk_vslider		(cur_wlist_t *,int,int,int);
extern cur_wlist_t * 	cur_mk_scroller		(cur_wlist_t *,int,int,int,int,
						int,int,int,int);
extern char *		cur_mk_str		(char *);
extern cur_wlist_t * 	cur_mk_text		(cur_wlist_t *,char **,int,int,
						int,int);
extern cur_wlist_t * 	cur_mk_hslider		(cur_wlist_t *,int,int,int);
extern void	 	cur_mv_slider		(cur_wlist_t *,int);
extern int		cur_process_events	(void);
extern void 		cur_rm_button		(cur_wlist_t *);
extern void 		cur_rm_holder		(cur_wlist_t *);
extern void 		cur_rm_scroller		(cur_wlist_t *);
extern void 		cur_rm_slider		(cur_wlist_t *);
extern void 		cur_rm_text		(cur_wlist_t *);
extern void		cur_warp		(cur_wlist_t *);
#endif /* XCURSES */
#ifdef DCURSES
extern void		cur_getline		(char *,int);
#endif /* DCURSES */

#else /* NO PROTOTYPES */

extern void		catch_int		();
extern cur_alist_t *	cur_alist_add		();
extern int         	cur_alist_ask		();
extern void         	cur_alist_free		();
extern unsigned long	cur_ask_hex_lud		();
extern int		cur_ask_num_lud		();
extern int		cur_ask_y_n		();
extern int		cur_casecmp		();
extern char		*cur_mdata_file		();
extern int		cur_menu_ask		();
extern int *		cur_menu_list		();
extern cur_mlist_t *	cur_menu_parse		();
extern int		cur_menu_read		();
extern void		cur_menu_reset		();
extern void		cur_menu_write		();
extern char *		cur_mk_str		();
extern cur_mlist_t *	cur_mlist_add		();
extern cur_mlist_t *	cur_mlist_copy		();
extern void		cur_mlist_free		();
extern cur_mlist_t *	cur_mlist_parse		();
extern void         	cur_mlist_set 		();
extern int              cur_mlist_verify_all    ();
extern int              cur_mlist_verify_item   ();
extern WINDOW *		cur_msg_box		();
extern void		cur_msg_win		();
extern void		cur_rm_window		();
extern cur_slist_t *	cur_slist_add		();
extern cur_slist_t *	cur_slist_ask		();
extern cur_slist_t *	cur_slist_copy		();
extern cur_slist_t *	cur_slist_fancy		();
extern void		cur_slist_free		();
extern void		cur_start		();
extern void		cur_stop		();
extern char *		cur_str			();
extern char *		cur_strd		();
extern int		cur_talk_ch		();
extern int		cur_talk_ch_bot		();
extern int		cur_talk_ch_top		();
extern void		cur_talk_end		();
extern int		cur_talk_str		();
extern int		cur_talk_str_bot	();
extern int		cur_talk_str_top	();
extern int		cur_talk_win		();
extern void		cur_text_dsp		();
extern int		cur_mverify		();
extern int		cur_verify		();

#ifdef XCURSES
extern cur_wlist_t	*cur_alist_front	();
extern void		cur_alist_back		();
extern void	 	cur_bump_slider		();
extern void	 	cur_draw_hslider	();
extern void	 	cur_draw_vslider	();
extern void		cur_error		();
extern unsigned long	cur_get_color		();
extern int		cur_menu_ask_true	();
extern cur_wlist_t * 	cur_mk_button		();
extern cur_wlist_t * 	cur_mk_holder		();
extern cur_wlist_t * 	cur_mk_vslider		();
extern cur_wlist_t * 	cur_mk_scroller		();
extern char *		cur_mk_str		();
extern cur_wlist_t * 	cur_mk_text		();
extern cur_wlist_t * 	cur_mk_hslider		();
extern void	 	cur_mv_slider		();
extern int		cur_process_events	();
extern void 		cur_rm_button		();
extern void 		cur_rm_holder		();
extern void 		cur_rm_scroller		();
extern void 		cur_rm_slider		();
extern void 		cur_rm_text		();
extern void		cur_warp		();
#endif /* XCURSES */
#ifdef DCURSES
extern void		cur_getline		();
#endif /* DCURSES */
#endif /* PROTOTYPES */
